Subject: Re: bug#18247: Cyclic dependencies in (gnu package *) modules

From: [email-masked] (Ludovic Courtès)
Date: Thu, 14 Aug 2014 00:09:53 +0200

Eric Bavier <[email-masked]> skribis:

> Ludovic Courtès writes:
>
>> As a stop-gap measure, I’ve worked around the problem in commit d759cf6,
>> which removes the dependency from texinfo to gettext.
>>
>> (Éric: I see one test failure in texi2html, which is a priori unrelated
>> to the change.  Could you check what’s going on?)
>
> The problem is that texi2html does actually require gettext.

No, it really only needed it because texi2html.pl was modified by the
patch, which triggered a rule to re-compute PO files.

I just tried with current master with #:tests? #f, and it does pass.
Perhaps that’s an intermittent test failure?  Can you reproduce it?

Thanks,
Ludo’.